package com.ruoyi.common.enums;

import com.ruoyi.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * 设备类型
 * 针对多套 用户体系
 *
 * @author Lion Li
 */
@Getter
@AllArgsConstructor
public enum SystemRoleKey {


    ADMIN("admin"),
    ;
    private final String roleKey;



    public static SystemRoleKey getByRoleKey(String roleKey) {
        for (SystemRoleKey value : values()) {
            if (Objects.equals(roleKey, value.getRoleKey())) {
                return value;
            }
        }
        return null;
    }

}
